Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.annotation
Class Ejb3TransactionAnnotationParser

    java.lang.Object
      org.springframework.transaction.annotation.Ejb3TransactionAnnotationParser

All Implemented Interfaces:
  java.io.Serializable, TransactionAnnotationParser

    public class Ejb3TransactionAnnotationParser

extends java.lang.Object
implements TransactionAnnotationParser, java.io.Serializable

Strategy implementation for parsing EJB3's `TransactionAttribute` annotation.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`Ejb3TransactionAnnotationParser()`

Method Summary
`TransactionAttribute` | `parseTransactionAnnotation(java.lang.reflect.AnnotatedElement ae)` Parse the transaction attribute for the given method or class, based on a known annotation type.
`TransactionAttribute` | `parseTransactionAnnotation(javax.ejb.TransactionAttribute ann)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ejb3TransactionAnnotationParser

    public Ejb3TransactionAnnotationParser()

Method Detail

### parseTransactionAnnotation

    public TransactionAttribute parseTransactionAnnotation(java.lang.reflect.AnnotatedElement ae)

  Description copied from interface: `TransactionAnnotationParser`
  Parse the transaction attribute for the given method or class, based on a known annotation type.

  This essentially parses a known transaction annotation into Spring's metadata attribute class. Returns `null` if the method/class is not transactional.

  Specified by:
    `parseTransactionAnnotation` in interface `TransactionAnnotationParser`
  Parameters:
    `ae` - the annotated method or class
  Returns:
    TransactionAttribute the configured transaction attribute, or `null` if none was found
  See Also:
    `AnnotationTransactionAttributeSource.determineTransactionAttribute(java.lang.reflect.AnnotatedElement)`

### parseTransactionAnnotation

    public TransactionAttribute parseTransactionAnnotation(javax.ejb.TransactionAttribute ann)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD